<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Voeg een nieuwsbericht toe</h1>";
if ($aangemeld == "ja")
{
	if (($member_status == "manager") or ($member_status == "staff"))
	{
		if (ISSET($_GET['titel']))
		{
			action("voegt een nieuwsbericht toe");
			$titel = $_GET['titel'];
			$inhoud = $_GET['inhoud'];
			$datum = date("d.m.Y H:i");
			$poster = $_SESSION['naam'];
			mysql_query("INSERT INTO nieuwscontent SET titel='".$titel."', inhoud='".$inhoud."', datum='".$datum."', poster='".$poster."';");
			echo "Even geduld a.u.b...";
			echo "<meta http-equiv=\"refresh\" content='1;url=news.php'>";
		}
		else
		{
			action("begint met het toevoegen van een nieuwsbericht");
			echo "<form name='add' action='?' method='get'>";
			echo "<table border='0'><tr><td valign='top'>";
			echo "Titel: ";
			echo "</td><td>";
			echo" <input type='text' name='titel' size='73'>";
			echo "</td></tr><tr><td valign='top'>Bericht: </td><td>";
			echo "<textarea name='inhoud' rows='10' cols='55'></textarea>";
			echo "</td></tr><tr><td></td><td>";
			echo "<input type='submit' value='Klaar'>";
			echo "</td></tr></table>";
			echo "</form>";
		}
	}
	else
	{
		action("probeert zonder rechten een nieuwsbericht toe te voegen");
		echo "Oeps! Hiervoor moet je <b>Hotel Manager</b> of <b>Staff Lid</b> zijn.";
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>